Bug 14452 - spaces muck up tab completion
spaces muck up tab completion
Status: VERIFIED FIXED
Product: R
Classification: Unclassified
Component: Misc
R 2.12.0
All Linux
: P5 minor
Assigned To: Deepayan Sarkar
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-04 14:22 UTC by Jon
Modified: 2013-08-01 07:42 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon 2010-12-04 14:22:44 UTC
If you're entering a file-name with spaces (e.g. "New folder"), tab completion mucks up.  So, if you have a directory in your home called "New folder":

"New<tab> goes to "New folder  but then you can't tab any further (for instance you can't use tabbing to fill in the contents of the folder)

"New <tab> gives you possibilities from your home directory to complete with.

If you have a file called follow.js in your home directory, then "New fol<tab> may well complete to "New follow.js  even if this directory doesn't exist.
Comment 1 Deepayan Sarkar 2011-03-25 08:23:17 UTC
This should now be fixed for R's internal file completion, which is not active by default on Linux but can be activated by rc.settings(files = TRUE). I don't know of a solution when using readline's filename completion (short of removing space as a word-breaker, but that will cause other problems).